Bug 1357739 - KDE Launcher needs a space-prefix for all Fcitx inputs.
Summary: KDE Launcher needs a space-prefix for all Fcitx inputs.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 24
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 04:03 UTC by Samuel Lee
Modified: 2017-08-29 11:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:41:28 UTC


Attachments (Terms of Use)

Description Samuel Lee 2016-07-19 04:03:14 UTC
Description of problem:

KDE Launcher ignores the first character from Fcitx input.


Version-Release number of selected component (if applicable):
Fcitx: 4.2.9.1-2.fc24

How reproducible:
It always happens.

Steps to Reproduce:
1. Click on the KDE Launcher button on bottom left.
2. You would see a similar to Windows "Start Menu" with a list of "Favorites" applications.
3. Switch to Simplified Chinese (Pinyin) input by right clicking on the Fcitx tray icon (Should be a keyboard) OR from its status bar. The default switching of input languages, "Control + Space" does not work in the KDE launcher but works in KWrite, Chrome, Firefox etc.
4. Type "fanghuoqiang" without the quotes.

Actual results:
The first suggestion from LibPinyin is "f昂火枪" (Pronounced as "f-anghuoqiang" without quotes) which has no actual meaning in Chinese. Literally, it means "f-emotionally fire gun". However, this is the result because KDE Launcher treats the first character ("f") as English while the rest ("anghuoqiang") from LibPinyin instead and hence LibPinyin could not guess the word without the "f" (My LibPinyin did not set to those fuzzy inputs or to guess / autocorrect incomplete Pinyin so as to reduce the candidate entries).

KDE Launcher shows no result from the above f昂火枪 input.

Expected results:
I am expecting the first suggestion from LibPinyin as "防火墙" (It means "Firewall" without quotes).

防火墙 is one of the keyword in KDE Launcher that will launch the GUI module to configure the firewall after root password is given subsequently.

Additional info:
1) The issue applies to other Chinese inputs from fcitx as well, from Wubi to other Traditional Chinese inputs.
2) The switching of input language via "Control + Space" works ONLY if I type a "space" (And thus the KDE Launcher goes into search mode).

Comment 1 Samuel Lee 2016-07-19 04:10:30 UTC
The issue does not apply at all when the KDE Launcher is at "Application Menu" mode that resembles more like Windows 98 start menu than Windows 10.


However, the issue is different when the KDE Launcher is using full screen mode similar to Ubuntu's Unity Desktop Launcher. In Full Screen mode, it ignores the original (Current) input settings but does not require a space prefix when the change language input (Default: "Control + Space") is done twice (For a system with only English US input and one other fcitx Chinese input).

Comment 2 Samuel Lee 2016-07-19 05:27:29 UTC
The video as attachment can be viewed here:

https://vid.me/xPiw

Please use Chrome or Firefox to view as Konqueror does not work well.

Comment 3 Rex Dieter 2016-07-19 10:55:46 UTC
assigning to fcitx-qt5 for advice/feedback

Comment 4 Robin Lee 2016-07-19 11:27:55 UTC
Forwarded upstream https://github.com/fcitx/fcitx/issues/279

Comment 5 Rex Dieter 2016-07-19 11:59:41 UTC
OK... a succinct answer:

you should ask kde launcher to fix its input method support.

Comment 6 Fedora End Of Life 2017-07-25 21:52:55 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 15:41:28 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 ompragash 2017-08-29 11:24:54 UTC
It is working on Fedora 25 and it is not reproducible anymore.


Note You need to log in before you can comment on or make changes to this bug.